Get assigned permissions
get
/ec-auth-svc/rest/v1.0/authroles/{roleid}/assignedrights
Returns a list of right names that have been directly assigned to the specified role. This is a flat list of string right names for the requested roleId.
Request
Path Parameters
-
roleid(required): string(uuid)
Unique identifier for the role.Example:
F7C8EEC7F6DE49A5B1E3023D0A2E221C
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object